<?php

require_once 'connect.php';
require_once 'inc/messages.php';

// retorna array com lista de módulos, ou false se deu erro
function tipoFrete_getAll() {
  global $conexao;
  $sql = 'select * from erpc_tipo_frete where st_ativo=?';
  $values[] = '1';
  $result = _prepareAndQuery($sql, $values);
  return $result;
}

// retorna array associativo com objeto, ou false se deu erro/não encontrar
function tipoFrete_getById($id) {
  global $conexao;
  $sql = 'select * from erpc_tipo_frete where id=? and st_ativo=1';
  $values[] = $id;
  $result = _prepareAndQuery($sql, $values);
  if ($result !== false) {
    if (count($result) === 1) {
      $result = $result[0];
    } else {
      $result = false;
      addError('Id não encontrado');
    }
  }

  return $result;
}

// insere novo módulo
function tipoFrete_insert($tipo_frete) {
  global $conexao;
  $ok = false;
  $sql = 'insert into erpc_tipo_frete ';
  $campos = array('ds_tipo_frete', 'st_ativo');
  $values = array($tipo_frete['ds_tipo_frete'], $tipo_frete['st_ativo']);
  $sql .= '(' . implode(',', $campos) . ') values (' . trim(str_repeat('?,', count($values)), ',') . ')';

  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    addMessage('Inserido com sucesso');
  }
  return $ok;
}

// altera a senha do usuário
function tipoFrete_update($tipo_frete) {
  global $conexao;
  $ok = false;
  $sql = 'update erpc_tipo_frete set ds_tipo_frete = ?';
  $values = array($tipo_frete['ds_tipo_frete']);
  $sql .= ' where id = ?';
  $values[] = $tipo_frete['id'];
  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    addMessage('Atualizado com sucesso');
  }
  return $ok;
}

function tipoFrete_delete($tipo_frete) {
  global $conexao;
  $ok = false;
  $sql = 'update erpc_tipo_frete set st_ativo = 0';
  $values = array();
  $sql .= ' where id = ?';
  $values[] = $tipo_frete['id'];
  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    addMessage('Removido com sucesso');
  }
  return $ok;
}

function tipoFrete_create() {
  $tipo_frete = array(
    'id' => '',
    'ds_tipo_frete' => '',
    'st_ativo' => '1',
  );
  return $tipo_frete;
}
